## update-manager 0.181

=== debian/changelog ===
update-manager (1:0.181) raring; urgency=low

  * Use the gnome debconf frontend, accidentally dropped in update-manager
    1:0.165 (LP: #1110585).

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Feb 2013 09:22:59 +0000

update-manager (1:0.180) raring; urgency=low

  [ Dylan McCall ]
  * Make sure text in Install column properly uses ellipses. (LP: #1105363)
  * Refactor CellAreaPackage class for ease of future changes.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 29 Jan 2013 16:15:57 -0500

update-manager (1:0.179) raring; urgency=low

  * Properly xml-escape application names too, not just package labels
  * Make sure dialog buttons are actually at the bottom of the dialog

 -- Michael Terry <mterry@ubuntu.com>  Fri, 25 Jan 2013 10:41:00 -0500

update-manager (1:0.178) raring; urgency=low

  * Implement the "available updates" details pane from the SoftwareUpdates
    spec.  Specifically, this adds grouping of related updates, adds an
    "Ubuntu base" group for core packages, and shows only the description
    summary in the main view.
  * Show a restart icon next to packages that declare they will need a
    system restart via XB-Restart-Required: system

 -- Michael Terry <mterry@ubuntu.com>  Thu, 24 Jan 2013 14:20:22 -0500

update-manager (1:0.177) raring; urgency=low

  * Fix missing import in tests/test_upgrade.py.
  * Make tests/test_update_list.py more robust against other tests being run
    before it.
  * Depend on aptdaemon for DEP-8 tests.
  * Fix typo in test dpkg status file for test_update_list.
  * Add Update-Manager::Never-Include-Phased-Updates, the converse of
    Update-Manager::Always-Include-Phased-Updates; this opts out of
    upgrading to any package with a Phased-Update-Percentage set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jan 2013 12:46:00 +0000

update-manager (1:0.176) raring; urgency=low

  * Use GLib.timeout_add_seconds instead of deprecated GObject.timeout_add
  * Keep dialogs 33em wide
  * Pass update-manager arguments on to do-release-upgrade (LP: #1097907)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 09 Jan 2013 16:03:52 -0500

update-manager (1:0.175) raring; urgency=low

  [ Eric Williams ]
  * German translation fix (LP: #1070289)

  [ Stephen Kraemer ] 
  * UpdateManager/Dialogs.py: made Settings... button open software-properties
    non-modally.  (LP: #1058070)

  [ Robert Roth ]
  * Remove package count badge from the unity launcher (LP: #1036891)
  * Added 6px border to the button box to align the buttons with the contents
    above (LP: #1081099)

  [ Michael Vogt ]
  * debian/rules:
    - do not call dh_auto_build as as it call py2 even when its not
      supposed to (LP: #1089808), thanks to Jean-Baptiste Lallement 
  * fix missing "Architecture" when writing out the fake dpkg-status
    file in the tests (LP: #1089793)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Oct 2012 09:09:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ --with=python3

override_dh_auto_build:
	set -ex; for python in $(PY3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

=== debian/tests/control ===
Tests: nose-tests
Depends: @, aptdaemon, python3-mock, python3-nose, xvfb

## update-manager 0.182

=== debian/changelog ===
update-manager (1:0.182) raring; urgency=low

  * MetaReleaseCore: Create ~/.cache if it does not exist.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 15:06:57 +0000

## update-manager 0.186

=== debian/changelog ===
update-manager (1:0.186) raring; urgency=low

  [ Sebastien Bacher ]
  * Use correct variable in error message, fixing a crash (LP: #1142151)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 16 Apr 2013 13:46:41 -0400

update-manager (1:0.185) raring; urgency=low

  [ Sebastien Bacher ]
  * Specify a background color for the unity launcher icon (lp: #1081691)

  [ Michael Terry ]
  * Look for to-be-updated application icons in app-install-data
    (LP: #1145157)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 15 Mar 2013 10:16:44 -0400

update-manager (1:0.184) raring; urgency=low

  [ Michael Terry ]
  * Don't temporarily freeze when calculating which updates are available.
    LP: #1137996

  [ Colin Watson ]
  * Allow removals with only Conflicts+Replaces; while policy 7.6.2 quotes
    Provides in an example, it's clear that Conflicts+Replaces alone should
    be sufficient to indicate that the target package may be removed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Mar 2013 12:36:41 +0000

update-manager (1:0.183) raring; urgency=low

  [ Mike Terry ]
  * Fix toggling items after doing a deselect-all. (LP: #1129191)

  [ Colin Watson ]
  * Fix PEP-8 failures.
  * Fix pyflakes failures.
  * Depend on pep8 and pyflakes for the autopkgtest suite.
  * Use logging.warning rather than deprecated logging.warn.
  * Fix test_meta_release_core.SillyProxyRequestHandler to write bytes
    rather than text to its output file object.
  * Make test_meta_release_core pick a new proxy port for each test.
  * Use EnvironmentVarGuard in test_meta_release_core to reduce the risk of
    test isolation bugs.
  * MetaReleaseCore: Plug some open file object leaks.
  * Make test_meta_release_core call install_opener(None) every time it
    changes proxy settings, to avoid stale ones being left around from
    previous tests.
  * Reopen cache in GroupingTestCase.setUp, TestCache.setUp, and
    TestChangelogs.setUp to avoid test isolation bugs.
  * Remove unnecessary cache update in PhasedTestCase.setUp; reopening the
    cache is sufficient.
  * Allow saveDistUpgrade to remove packages provided that upgrade
    candidates declare Conflicts+Replaces+Provides on them (LP: #1038113).

  [ Steve Langasek ]
  * Build-depend on python3-all (>= 3.3.0-2) for pybuild support and drop
    the now-extraneous overrides from debian/rules; this incidentally works
    around an issue I don't understand where the package was now failing to
    build locally from trying to invoke python setup.py instead of python3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Feb 2013 17:31:29 +0000

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               python3-all (>= 3.3.0-2),
               python3-distutils-extra,
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               apt-clone (>= 0.2.3~ubuntu1)
Build-Depends-Indep: libxml-parser-perl, 
                     scrollkeeper, 
                     intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.2

Package: update-manager-core
Architecture: all
Section: admin
Depends: ${python3:Depends},
         ${misc:Depends}, 
         python3-update-manager (= ${source:Version}),
         lsb-release,
         ubuntu-release-upgrader-core
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.146.2)
Breaks: update-manager (<< 1:0.146.2), 
        computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: python3-update-manager
Architecture: all
Section: python
Replaces: update-manager-core (<< 1:0.163)
Breaks: update-manager-core (<< 1:0.163)
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-apt (>= 0.8.5~),
         python3-distupgrade,
         lsb-release
Description: python 3.x module for update-manager
 Python module for update-manager (UpdateManager).
 .
 This package contains the python 3.x version of this module.

Package: update-manager
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, 
         update-manager-core (= ${source:Version}),
         python3-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
         policykit-1,
         python3-dbus,
         python3-gi,
         gir1.2-vte-2.90, 
         gir1.2-gtk-3.0,
         ubuntu-release-upgrader-gtk,
         update-notifier
Recommends: software-properties-gtk (>= 0.71.2), 
Suggests: gir1.2-dbusmenu-glib-0.4,
          gir1.2-unity-5.0,
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
Section: admin
Depends: ${python3:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python3-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
Section: kde
Depends: ${python3:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python3-pykde4, 
         kdesudo,
         psmisc,
         ubuntu-release-upgrader-qt
Description: Support modules for Muon Notifier and Apper
 Support modules for Muon Notifier and Apper to check for new distro releases 
 and download the dist-upgrade tool.

## update-manager 0.186.2

=== debian/changelog ===
update-manager (1:0.186.2) raring-proposed; urgency=low

  * Core/UpdateList.py: if a package is an ignored phased update mark it for
    keeping (LP: #1211511)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Aug 2013 15:02:51 -0700

update-manager (1:0.186.1) raring-proposed; urgency=low

  * Modify phased update percentage to use source packages and not binary
    packages, additionally add a test for this. (LP: #1192332)

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Jun 2013 15:54:23 -0700

## update-manager 0.194

=== debian/changelog ===
update-manager (1:0.194) saucy; urgency=low

  * Fix a bug introduced in the dialog refactor from version 1:0.189 that
    causes update-manager to crash instead of showing a dialog when there are
    no updates to apply but the system needs rebooted.  LP: #1219414.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Oct 2013 13:31:18 -0700

update-manager (1:0.193) saucy; urgency=low

  * Fix PEP-8 errors.

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Aug 2013 16:13:02 -0700

update-manager (1:0.192) saucy; urgency=low

  * Core/UpdateList.py: if a package is an ignored phased update mark it for
    keeping (LP: #1211511)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Aug 2013 14:50:01 -0700

update-manager (1:0.191) saucy; urgency=low

  * Fix update-manager crashing when trying to raise
    window. on_button_install_clicked takes only one positional argument,
    not two. (LP: #1202959)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 25 Aug 2013 01:49:08 +0100

update-manager (1:0.190) saucy; urgency=low

  * Update for python-distutils-extra 2.38 (yelp-tools style help)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Jul 2013 11:01:19 +0200

update-manager (1:0.189) saucy; urgency=low

  [ Jeremy Bicha ]
  * Drop unused system-software-update icons since it is a
    standard theme icon
  
  [ Robert Roth ]
  * Remove dist-upgrade option description from manpage (LP: #1079136)

  [ Dylan McCall ]
  * Refactor dialogs to have a common base.
  * tests/test_update_error.py: Fix test regression from the above.

  [ Martin Pitt ]
  * Drop obsolete GObject.threads_init() calls to avoid warnings at startup.
    Bump python-gi dependency accordingly.
  * Drop unused imports and assignments to fix pyflakes errors.
  * Fix PEP-8 errors.
  * tests/test_update_error.py: Adjust test_error_no_updates() to current
    string.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Jul 2013 08:02:21 +0200

update-manager (1:0.188) saucy; urgency=low

  * Core/UpdateList.py: Drop unused "src_name" variable (pyflakes error).
  * tests/test_update_list.py: Fix too long line (pep8 error).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 08:00:33 +0200

update-manager (1:0.187) saucy; urgency=low

  [ Sami Jaktholm ]
  * Greatly speed up update calculation (LP: #1167277)

  [ Martin Pitt ]
  * Drop unnecessary ubuntu-drivers-common build dependency, to ease
    backporting.

  [ Brian Murray ]
  * Modify phased update percentage to use source packages and not binary
    packages, additionally add a test for this.
  * Remove check for update-notifier auto-launch gsettings key

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Jun 2013 10:02:51 -0700

## update-manager 0.194.1

=== debian/changelog ===
update-manager (1:0.194.1) saucy-proposed; urgency=low

  * Add support for logind to the restart dialog.  Thanks to Thaddaus
    Tintenfisch for the patch.  (LP: #1232363)
  * In the apport hook ask if the bug is about upgrading from one release to
    another and send bug to ubuntu-release-upgrader. (LP: #1071057)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Oct 2013 13:21:20 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                python3-all (>= 3.3.0-2),
-               python3-distutils-extra,
+               python3-distutils-extra (>= 2.38),
                lsb-release,
-               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
                apt-clone (>= 0.2.3~ubuntu1)
 Build-Depends-Indep: libxml-parser-perl, 
-                     scrollkeeper, 
                      intltool
 Standards-Version: 3.8.0
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -53,7 +51,7 @@
          python3-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
          policykit-1,
          python3-dbus,
-         python3-gi,
+         python3-gi (>= 3.8),
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
          ubuntu-release-upgrader-gtk,

## update-manager 0.194.2

=== debian/changelog ===
update-manager (1:0.194.2) saucy-proposed; urgency=medium

  * Check for controller being None before using it. (LP: #1203919)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Apr 2014 08:42:02 -0700

## update-manager 0.196.11

=== data/Makefile ===

DOMAIN=update-manager
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=update-manager
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de
XGETTEXT_ARGS = --msgid-bugs-address=$(CONTACT)
XGETTEXT_ARGS += --keyword=unicode_gettext:2 --keyword=unicode_ngettext:2,3

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
update-manager (1:0.196.11) trusty; urgency=low

  * lp:~mvo/update-manager/lp1202754:
    - do nt crash if the user clicks "cancel" in the polkit dialog
      (LP: #1202754)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2014 14:29:00 +0200

update-manager (1:0.196.10) trusty; urgency=low

  * debian/control:
    - add dependencies to the various policykit agents to ensure
      that update-manager is not run without policykit agent support
      in the session (LP: #1164558)
  * tests/test_update_list.py:
    - test improvements from Barry Warsaw (many thanks!)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2014 15:23:05 +0200

update-manager (1:0.196.9) trusty; urgency=medium

  [ Sebastien Bacher ]
  * UpdateManager/UpdatesAvailable.py: 
    - use the correct icon theme (lp: #1283554)

  [ Marc Deslauriers ]
  * UpdateManager/Dialogs.py: close window after requesting reboot.
    (LP: #1297361)
  
  [ Michael Vogt ]
  * tests/aptroot-update-list-test:
    - fix test failure caused by not-installable depends (lp: #1295392)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 26 Mar 2014 12:52:13 +0100

update-manager (1:0.196.8) trusty; urgency=medium

  * source_update_manager.py: set response to None if the problem type is not
    a bug
  * UpdateManager/Core/utils.py: do not perform DNS lookups with iptables,
    thanks to John Edwards for the patch.  (LP: #1290825)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Mar 2014 09:38:09 -0700

update-manager (1:0.196.7) trusty; urgency=medium

  * Fix PEP-8 style error to fix tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 12:58:07 +0100

update-manager (1:0.196.6) trusty; urgency=low

  * Allow user to close the restart required dialog (LP: #1033226)
    - Add a settings button
    - Add a "Restart Later" button
    - Rename existing button to "Restart Now..."
    - Add secondary text to updates dialog when a restart is still pending
      from last updates

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 11 Jan 2014 09:53:15 -0500

update-manager (1:0.196.5) trusty; urgency=medium

  * Stop using deprecated GObject constructors with positional arguments
    (see https://wiki.gnome.org/PyGObject/InitializerDeprecations).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 12:29:35 +0100

update-manager (1:0.196.4) trusty; urgency=low

  * lp:~mterry/update-manager/requires-restart:
    - warn if a update requires a reboot (LP: #255443)

    This requires that the packages that need a reboot set
    "XB-Restart-Required: system" in the package record

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jan 2014 19:51:50 +0100

update-manager (1:0.196.3) trusty; urgency=low

  [ Sebastien Bacher ]
  * lp:~seb128/update-manager/check-none-controller
    - Check for controller being None before using it (this was
      accidentally dropped in a previous refactoring).
    - LP: #1203919

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Dec 2013 17:15:04 -0500

update-manager (1:0.196.2) trusty; urgency=low

  [ Brian Murray ]
  * UpdateManager/Core/MetaRelease.py: speed up the check for a new release of
    Ubuntu.  Thanks to Anders Kaseorg for the patch.

  [ Sebastien Bacher ]
  * lp:~seb128/update-manager/box-use-vertical-space:
    - Use the vertical space, GTK 3.10 displays the box shrinked otherwise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Nov 2013 18:30:26 +0100

update-manager (1:0.196.1) trusty; urgency=low

  * debian/source_update_manager.py: Fix too long line (pep8 error).

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Oct 2013 13:31:42 -0700

update-manager (1:0.196) trusty; urgency=low

  * In the apport hook ask if the bug is about upgrading from one release to
    another and send bug to ubuntu-release-upgrader. (LP: #1071057)

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Oct 2013 10:03:28 -0700

update-manager (1:0.195) trusty; urgency=low

  * Add support for logind to the restart dialog.  Thanks to Thaddaus
    Tintenfisch for the patch.  (LP: #1232363)

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Oct 2013 15:58:47 -0700

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,8 @@
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
          ubuntu-release-upgrader-gtk,
-         update-notifier
+         update-notifier,
+         policykit-1-gnome | policykit-1-kde | lxpolkit | mate-polkit | razorqt-policykit-agent
 Recommends: software-properties-gtk (>= 0.71.2), 
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,

=== debian/tests/control ===
Tests: nose-tests
Depends: @, aptdaemon, pep8, pyflakes, python3-mock, python3-nose, xvfb

## update-manager 0.196.22

=== debian/changelog ===
update-manager (1:0.196.22) trusty-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Sep 2016 09:45:52 -0700

update-manager (1:0.196.21) trusty-proposed; urgency=medium

  * hwe-support-status: Deal with the fact that fglrx was deprecated in 16.04
    so will not work with the Xenial 16.04 HWE stack. (LP: #1617448)

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Aug 2016 16:13:22 -0700

update-manager (1:0.196.20) trusty-proposed; urgency=medium

  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)

 -- Brian Murray <brian@ubuntu.com>  Thu, 25 Aug 2016 15:26:37 -0700

update-manager (1:0.196.19) trusty-proposed; urgency=medium

  * hwe-support-status: utilize a virtualbox metapackage set.  (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Aug 2016 11:14:48 -0700

update-manager (1:0.196.18) trusty-proposed; urgency=medium

  * hwe-support-status: add libwayland-egl1-mesa to the list of metapackages.
    (LP: #1610434)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Aug 2016 08:38:20 -0700

update-manager (1:0.196.17) trusty-proposed; urgency=medium

  * hwe-support-status: decode output when checking for foreign architectures
    so that the result is unicode not bytes. (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Aug 2016 11:19:00 -0700

update-manager (1:0.196.16) trusty-proposed; urgency=medium

  * HweSupportStatus/consts.py: improve messages and recommend upgrading to
    the correct release. (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Aug 2016 15:42:06 -0700

update-manager (1:0.196.15) trusty-proposed; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Jul 2016 10:03:22 -0700

update-manager (1:0.196.14) trusty-proposed; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <brian@ubuntu.com>  Fri, 18 Sep 2015 13:36:59 -0700

update-manager (1:0.196.13) trusty-proposed; urgency=medium

  * UpdateManager/Dialogs.py: set the focus to "Restart Later" instead of
    "Restart Now", so people don't accidentally reboot. (LP: #1421044)

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Apr 2015 14:18:36 -0700

update-manager (1:0.196.12) trusty-proposed; urgency=low

  * use Gtk.init() to ensure update-manager fails with a
    runtime error message instead of crashing if the display
    can not be opened (LP: #1269397)

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 24 April 2014 14:58:38 +0200

## update-manager 0.196.25

=== debian/changelog ===
update-manager (1:0.196.25) trusty; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Marc Deslauriers ]
  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical,
    override the Supported tag for main and restricted to work around the
    inaccurate Packages files, hardcode the release date since
    distro-info-date isn't installed by default in Trusty. (LP: #1574670)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Feb 2018 09:03:31 -0500

update-manager (1:0.196.24) trusty-proposed; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Jul 2017 17:43:27 -0700

update-manager (1:0.196.23) trusty-proposed; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Mar 2017 18:59:22 -0700

=== debian/control ===
--- 
+++ 
@@ -57,7 +57,9 @@
          ubuntu-release-upgrader-gtk,
          update-notifier,
          policykit-1-gnome | policykit-1-kde | lxpolkit | mate-polkit | razorqt-policykit-agent
-Recommends: software-properties-gtk (>= 0.71.2), 
+Breaks: update-notifier (<< 0.154.1ubuntu3)
+Recommends: software-properties-gtk (>= 0.71.2),
+            libgtk2-perl
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,
 Description: GNOME application that manages apt updates

## update-manager 14.10.6

=== debian/changelog ===
update-manager (1:14.10.6) utopic; urgency=medium

  * UpdateManager/ChangelogViewer.py: update URL for CVEs (LP: #1374715)

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Sep 2014 10:17:13 -0700

update-manager (1:14.10.5) utopic; urgency=medium

  [ Yu-Cheng Chou ]
  * UpdateManager/UpdateManager.py: _on_close() should return the value to make
    close button work properly (LP: #1363580)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Sep 2014 17:43:02 +0200

update-manager (1:14.10.4) utopic; urgency=medium

  * Fix test_url_downloadable() with proxis: ensure that $no_proxy doesn't
    prevent us from accessing localhost through proxy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Aug 2014 14:49:40 +0200

update-manager (1:14.10.3) utopic; urgency=low

  [ Mitsuya Shibata ]
  * lp:~cosmos-door/ubuntu/trusty/update-manager/fix1358229:
    - ensure all scripts are treated as python by gettext
      LP: #1358229

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2014 13:36:51 +0200

update-manager (1:14.10.2) utopic; urgency=low

  * pep8 fixes to fix autopkgtest failure with the latest pep8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jun 2014 09:04:25 +0200

update-manager (1:14.10.1) utopic; urgency=low

  * fix ADT failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 15:42:20 +0200

update-manager (1:14.10.0) utopic; urgency=low

  * make meta-release parser stricter to avoid storing the data 
    that e.g. intercepting proxies send (LP: #1310891)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 14:34:45 +0200

## update-manager 15.04.7

=== debian/changelog ===
update-manager (1:15.04.7) vivid; urgency=medium

  * debian/tests/control: pyflakes3 is provided by pyflakes

 -- Brian Murray <brian@ubuntu.com>  Thu, 16 Apr 2015 11:31:00 -0700

update-manager (1:15.04.6) vivid; urgency=medium

  * debian/tests/control: switch to using pyflakes3 instead of pyflakes.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Apr 2015 06:42:10 -0700

update-manager (1:15.04.5) vivid; urgency=medium

  * tests/test_pyflakes.py: switch to using pyflakes3 instead of pyflakes.

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Apr 2015 13:21:54 -0700

update-manager (1:15.04.4) vivid; urgency=medium

  * Properly check for FileNotFoundError when looking for /etc/machine-id.
    (LP: #1443929)

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Apr 2015 07:59:33 -0700

update-manager (1:15.04.3) vivid; urgency=medium

  * Allow being a child of 'systemd' as well as 'init' .If we're booted with
    e.g. init=/lib/systemd/systemd then the parent will be systemd.
  * Use the systemd /etc/machine-id file if available for our unique ID.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Mar 2015 13:12:13 +0000

update-manager (1:15.04.2) vivid; urgency=medium

  * UpdateManager/Core/utils.py: use rpartition in case the process name
    contains the right parenthesis character. Thanks to Roman Odaisky for the
    patch. (LP: #1399916)
  * UpdateManager/Dialogs.py: set the focus to "Restart Later" instead of
    "Restart Now", so people don't accidentally reboot. (LP: #1421044)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Feb 2015 11:38:56 -0800

update-manager (1:15.04.1) vivid; urgency=medium

  * debian/control: Don't depend on gir1.2-vte-2.90, we don't use it
    (directly) any more.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Nov 2014 11:44:40 +0000

=== debian/control ===
--- 
+++ 
@@ -52,14 +52,11 @@
          policykit-1,
          python3-dbus,
          python3-gi (>= 3.8),
-         gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
          ubuntu-release-upgrader-gtk,
          update-notifier,
          policykit-1-gnome | policykit-1-kde | lxpolkit | mate-polkit | razorqt-policykit-agent
-Breaks: update-notifier (<< 0.154.1ubuntu3)
-Recommends: software-properties-gtk (>= 0.71.2),
-            libgtk2-perl
+Recommends: software-properties-gtk (>= 0.71.2), 
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,
 Description: GNOME application that manages apt updates

## update-manager 15.04.7.1

=== debian/changelog ===
update-manager (1:15.04.7.1) vivid-proposed; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <brian@ubuntu.com>  Thu, 17 Sep 2015 14:51:31 -0700

## update-manager 15.10.3

=== debian/changelog ===
update-manager (1:15.10.3) wily; urgency=medium

  * Pass a '#auto' suffix to aptdaemon for packages that are autoinstalled,
    so that we have enough information to autoremove them later.  Thanks to
    Michael Vogt <mvo@ubuntu.com> for the patch.  LP: #1439769.
  * Add versioned dependency on aptdaemon (>= 1.1.1+bzr982-0ubuntu13) for the
    above.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2015 21:26:35 -0700

update-manager (1:15.10.2) wily; urgency=medium

  * UpdateManager/Core/UpdateList.py: update the binary packages made by the
    linux-meta source package. (LP: #1215114)

 -- Brian Murray <brian@ubuntu.com>  Mon, 05 Oct 2015 14:51:25 -0700

update-manager (1:15.10.1) wily; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <brian@ubuntu.com>  Thu, 17 Sep 2015 15:10:19 -0700

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, 
          update-manager-core (= ${source:Version}),
-         python3-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
+         python3-aptdaemon.gtk3widgets (>= 1.1.1+bzr982-0ubuntu13) | synaptic, 
          policykit-1,
          python3-dbus,
          python3-gi (>= 3.8),

## update-manager 16.04.3

=== debian/changelog ===
update-manager (1:16.04.3) xenial; urgency=medium

  * Quote URL parameters for the Release Announcement. (LP: #1561215)

 -- Brian Murray <brian@ubuntu.com>  Mon, 11 Apr 2016 18:49:09 -0700

update-manager (1:16.04.2) xenial; urgency=medium

  [ Tim Lunn ]
  * UpdateManage/Core/utils.py: Update to use logind inhibitors (LP: #1566141)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Apr 2016 11:06:40 -0700

update-manager (1:16.04.1) xenial; urgency=medium

  * Update Build-Depends to resolve ftbfs in xenial.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Apr 2016 15:39:00 -0700

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,9 @@
 Build-Depends: debhelper (>= 9),
                python3-all (>= 3.3.0-2),
                python3-distutils-extra (>= 2.38),
+               python3-dbus,
+               python3-gi (>= 3.8),
+               gir1.2-gtk-3.0,
                lsb-release,
                apt-clone (>= 0.2.3~ubuntu1)
 Build-Depends-Indep: libxml-parser-perl,

## update-manager 16.04.4

=== debian/changelog ===
update-manager (1:16.04.4) xenial; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Sep 2016 09:16:37 -0700

## update-manager 16.04.12

=== debian/changelog ===
update-manager (1:16.04.12) xenial-security; urgency=medium

  * No change rebuild in security pocket (LP: #1748397)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Feb 2018 07:29:03 -0500

update-manager (1:16.04.11) xenial; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Marc Deslauriers ]
  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical, and
    override the Supported tag for main and restricted to work around the
    inaccurate Packages files. (LP: #1574670)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Feb 2018 09:02:45 -0500

update-manager (1:16.04.10) xenial; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Provide instructions when mount points
    have insufficient free space for the upgrade to complete. (LP: #1477455)
  * test_update_origin.py: fix the extended origin matcher test as it was
    making wrong assumptions, not checking if packages actually had ANY package
    in -security. This should fix the current autopkgtest failures.
    (LP: #1717360)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Sep 2017 14:39:17 -0700

update-manager (1:16.04.9) xenial; urgency=medium

  * UpdateManager/Core/UpdateList.py: Instead of trying to print an error
    when trying to find the desktop file log it. (LP: #1428297)
  * tests/test_update_origin.py: This does not need to be architecture
    specific so just set the arch to amd64 like test_update_list.py. Replace
    references to lucid with xenial as lucid is no longer on the archive.
  * tests/test_utils.py: mock /proc/net/tcp and processes in proc so that we
    are testing the code and not the system under test.
  * tests/test_cache.py: pass an empty list when getting a changelog for 3rd
    party packages.
  * tests/test_hwe_support_status.py: port to python3.
  * tests/test_meta_release_core.py: switch to a site that works with no proxy
    in the autopkgtest environment.
  * Resolve pep8 and pyflakes issues.

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Aug 2017 15:08:15 -0700

update-manager (1:16.04.8) xenial; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Jul 2017 17:40:35 -0700

update-manager (1:16.04.7) xenial; urgency=medium

  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Jul 2017 09:31:17 -0700

update-manager (1:16.04.6) xenial; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Mar 2017 15:03:58 -0700

update-manager (1:16.04.5) xenial; urgency=medium

  [ Iain Lane ]
  * ChangelogViewer: Fix an API call to work with GTK < and ≥ 3.20. Upstream
    gave gtk_text_view_get_iter_at_location a gboolean return type, which
    makes gobject-introspection return (return value, out parameter). (LP:
    #1548425)

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Dec 2016 13:46:30 -0800

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,9 @@
          ubuntu-release-upgrader-gtk,
          update-notifier,
          policykit-1-gnome | policykit-1-kde | lxpolkit | mate-polkit | razorqt-policykit-agent
-Recommends: software-properties-gtk (>= 0.71.2), 
+Breaks: update-notifier (<< 3.168.4)
+Recommends: software-properties-gtk (>= 0.71.2),
+            libgtk2-perl
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,
 Description: GNOME application that manages apt updates

## update-manager 16.04.17

=== debian/changelog ===
update-manager (1:16.04.17) xenial; urgency=medium

  * Correctly detect the usage of a username in changelog URIs. (LP: #1849004)

 -- Brian Murray <brian@ubuntu.com>  Mon, 11 Nov 2019 18:54:28 -0800

update-manager (1:16.04.16) xenial; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)
  * Add support for HTTPS proxies; this breaks UpdateManager.Core.utils.init_proxy()
    API - the return value is now a dict, rather than a string (LP: #1771914).

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 20 Aug 2019 13:59:31 +0200

update-manager (1:16.04.15) xenial; urgency=medium

  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Stop lazy import of InstallBackends.
    Lazy imports made update-manager crash when an update-manager
    update changed the backend API and an updated incompatible backend
    was loaded to the not updated running update-manager process. (LP: #1795898)
  * Cancel transaction on exit only when Cancel button is active.
    Also ignore exception when cancellation fails. (LP: #1790670)
  * Make commit()'s last parameter optional for avoiding crash on upgrade
    (LP: #1771894)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Oct 2018 21:51:10 +0200

update-manager (1:16.04.14) xenial; urgency=medium

  * Print transaction error and let the user try again applying updates
    (LP: #1317164)
  * Don't ask backend to do package operations aready done.
    Aptdaemon cancels the transaction when asked to remove packages already
    removed which results the failure being shown to the user. This
    is unnecessary as update-manager can just filter the package operations to
    be done using a fresh cache and decrease the likelyhood of hitting
    a race condition where packages to be removed are already removed.
    (LP: #1791931)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 19 Sep 2018 09:18:52 +0200

update-manager (1:16.04.13) xenial; urgency=medium

  * Offer removal of unused autoremovable kernel packages
    (LP: #1624644, #1675079)
  * Support package removals in install backends and really remove packages
    (LP: #1624644, #1675079)
  * Keep PEP 8 checks happy
  * Place .keep files in empty directories to keep them when converting the
    repo to git (LP: #1758963)

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 25 Mar 2018 20:10:49 +0100

## update-manager 16.04.19

=== debian/changelog ===
update-manager (1:16.04.19) xenial; urgency=medium

  * Add back removed widgets to UI file to fix crash when updating
    Upgrade Manager from inside itself (LP: #2045918).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 08 Dec 2023 15:43:18 +0100

update-manager (1:16.04.18) xenial; urgency=medium

  * Implement the new Ubuntu Pro design (lp: #1990450).
    - Fuse the description and changes tabs into a single view.
    - Add button to attach to enable Ubuntu Pro if it is the only action
      available.
    - Ubuntu base -> System components.
    - Fix Ubuntu Pro item not being a parent group of its corresponding
      packages.
    - Fix incorrect available version for Ubuntu Pro updates in unattached case
      (LP: #2043425).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 17 Jul 2023 15:45:42 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,11 @@
 Depends: ${python3:Depends},
          ${misc:Depends}, 
          python3-update-manager (= ${source:Version}),
+         python3-distro-info,
+         python3-yaml,
+         distro-info-data,
          lsb-release,
+         ubuntu-advantage-tools,
          ubuntu-release-upgrader-core
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)

## update-manager 16.04.23

=== debian/changelog ===
update-manager (1:16.04.23) xenial; urgency=medium

  * Don't crash if the end-points of the Pro API fail (LP: #2064211).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 26 Jun 2024 11:11:46 +0200

update-manager (1:16.04.22) xenial; urgency=medium

  * Replace Popen to 'ua security-status --format=json' by the Ubuntu Pro API.
    The former is not stable enough and would break the program once in a
    while when something unrelated to Update Manager (Livepatch, for instance)
    went awry. The updates() end point from the API, on the other hand,
    does not raise exceptions. LP: #2058133.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 22 Mar 2024 08:48:44 +0100

update-manager (1:16.04.21) xenial; urgency=medium

  * Fix autopkgtest (linter errors).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 04 Mar 2024 09:42:23 +0100

update-manager (1:16.04.20) xenial; urgency=medium

  * d/control: Depend on ubuntu-advantage-tools >= 30~.
    Fixes edge case whereby the program crashes upon an incomplete
    response from ua security-status (LP: #2049785).
  * The New Release dialog should take precedence over a list of updates dialog
    if the latter would only show Ubuntu Pro updates in an unattached system.
    (LP: #2051115).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 22 Jan 2024 21:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
          python3-yaml,
          distro-info-data,
          lsb-release,
-         ubuntu-advantage-tools,
+         ubuntu-advantage-tools (>= 30~),
          ubuntu-release-upgrader-core
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INTERPRETERS=python3

%:
	dh $@ --with=python3 --buildsystem=pybuild

## update-manager 16.04.24~esm1

=== debian/changelog ===
update-manager (1:16.04.24~esm1) xenial; urgency=medium

  * When all packages are unselected, install button goes away; 
    Fix it not coming back after once a package is selected 
    again (LP: #2068805).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 09 Jan 2025 15:24:14 +0100

## update-manager 16.10.7

=== debian/changelog ===
update-manager (1:16.10.7) yakkety; urgency=medium

  * UpdateManager/Core/MyCache.py: Gracefully handle absence of Launchpadlib
    module.
  * Lower python3-launchpadlib Depends: to a Suggests:, to avoid pulling it
    into "standard" priority. Retrieving PPA changelogs is more of a niche
    feature which is relevant for desktops, but shoud not drag the entire
    python3-launchpadlib stack into small installations. Add it as Recommends
    to the GUI frontends instead, to retain current behaviour on desktops.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Oct 2016 12:13:46 +0200

update-manager (1:16.10.6) yakkety; urgency=medium

  * UpdateManager/UnitySupport.py: Handle ValueError traceback when checking
    for Unity and Dbusmenu support.  Thanks to Launchpad user flocculant for
    the patch.  (LP: #1629900)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Oct 2016 15:18:31 -0700

update-manager (1:16.10.5) yakkety; urgency=medium

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: when marking HWE packages for install pass
    on a SystemError and let the problem resolver sort it out.
  * HweSupportStatus/consts.py: Improve wording of the messages.
  * hwe-support-status:
    - decode output when checking for foreign architectures so that the result
      is unicode not bytes.
    - add libwayland-egl1-mesa to the list of metapackages.
    - utilize a virtualbox metapackage set.
    - Do not show replacements that are already installed on
      the system.  (LP: #1607983)
  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)
  * source_update-manager.py: only collect HWE information if it exists.

  [ Jeremy Bicha ]
  * Add gi.require_version in a few more places to reduce the annoying
    warnings. (LP: #1573177)

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Sep 2016 16:01:13 -0700

update-manager (1:16.10.4) yakkety; urgency=medium

  * ChangelogViewer: Fix an API call to work with GTK < and ≥ 3.20. Upstream
    gave gtk_text_view_get_iter_at_location a gboolean return type, which
    makes gobject-introspection return (return value, out parameter). (LP:
    #1548425)
  * ChangelogViewer: Set vexpand so that the changelog TextView takes up all
    the remaining vertical space.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 29 Jul 2016 11:15:54 +0100

update-manager (1:16.10.3) yakkety; urgency=medium

  [Nicolas Delvaux]
  * Attempt to retrieve Changelogs from PPA sources (LP: #253119)
  * Correctly detect the usage of a username in changelog URIs

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jul 2016 11:14:53 -0700

update-manager (1:16.10.2) yakkety; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Jul 2016 14:29:10 -0700

update-manager (1:16.10.1) yakkety; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 May 2016 15:32:40 +0100

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,7 @@
          ${misc:Depends}, 
          python3-update-manager (= ${source:Version}),
          python3-distro-info,
-         python3-yaml,
-         distro-info-data,
          lsb-release,
-         ubuntu-advantage-tools (>= 30~),
          ubuntu-release-upgrader-core
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.146.2)
@@ -45,7 +42,9 @@
          ${misc:Depends},
          python3-apt (>= 0.8.5~),
          python3-distupgrade,
-         lsb-release
+         lsb-release,
+Suggests:
+         python3-launchpadlib,
 Description: python 3.x module for update-manager
  Python module for update-manager (UpdateManager).
  .
@@ -63,9 +62,8 @@
          ubuntu-release-upgrader-gtk,
          update-notifier,
          policykit-1-gnome | policykit-1-kde | lxpolkit | mate-polkit | razorqt-policykit-agent
-Breaks: update-notifier (<< 3.168.4)
-Recommends: software-properties-gtk (>= 0.71.2),
-            libgtk2-perl
+Recommends: software-properties-gtk (>= 0.71.2), 
+            python3-launchpadlib,
 Suggests: gir1.2-dbusmenu-glib-0.4,
           gir1.2-unity-5.0,
 Description: GNOME application that manages apt updates
@@ -93,6 +91,7 @@
          kdesudo,
          psmisc,
          ubuntu-release-upgrader-qt
+Recommends: python3-launchpadlib
 Description: Support modules for Muon Notifier and Apper
  Support modules for Muon Notifier and Apper to check for new distro releases 
  and download the dist-upgrade tool.
